MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030644Community[OCCT] OCCT:Codingpublic2019-04-10 11:342019-04-23 07:02
ReporterVico Liang 
Assigned Tobugmaster 
PrioritynormalSeveritytweak 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.4.0 
Target Version[OCCT] 7.4.0Fixed in Version 
Summary0030644: Coding - inline trivial methods of V3d_View class
DescriptionThere method in V3d_View can be inlined by simpley returning their reference.

class V3d_View
{
   Standard_EXPORT Handle(V3d_Viewer) Viewer() const;
   Standard_EXPORT Handle(Aspect_Window) Window() const;
   Standard_EXPORT Handle(Graphic3d_CView) View() const;
}

TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0083826)
git (administrator)
2019-04-17 15:05

Branch CR30644 has been created by kgv.

SHA-1: d2088d291d2af7e31d5f0399669ac5c6fd981485


Detailed log of new commits:

Author: kgv
Date: Wed Apr 17 14:58:35 2019 +0300

    0030644: Coding - inline trivial methods of V3d_View class
(0083827)
git (administrator)
2019-04-17 15:26

Branch CR30644 has been updated forcibly by kgv.

SHA-1: adef2eb1d1a4a975fef876f8c60577f1b31666c5
(0083828)
git (administrator)
2019-04-17 15:50

Branch CR30644 has been updated forcibly by kgv.

SHA-1: 9a5ad0868ca3b438786b319a80ab1abef9a55cdb
(0083830)
kgv (developer)
2019-04-17 17:15
edited on: 2019-04-23 07:02

> There method in V3d_View can be inlined by simpley returning their reference.
> Handle(V3d_Viewer) V3d_View::Viewer()
V3d_View holds a back-reference to V3d_Viewer (raw pointer), not handle, hence cannot be modified to return a const reference.

(0083831)
kgv (developer)
2019-04-17 17:15

Please raise the patch.
(0083901)
git (administrator)
2019-04-21 11:06

Branch CR30644 has been deleted by inv.

SHA-1: 9a5ad0868ca3b438786b319a80ab1abef9a55cdb

- Related Changesets
occt: master 1ec17fb4
Timestamp: 2019-04-17 11:58:35
Author: kgv
Committer: bugmaster
Details ] Diff ]
0030644: Coding - inline trivial methods of V3d_View class
mod - src/V3d/V3d_View.cxx Diff ] File ]
mod - src/V3d/V3d_View.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-04-10 11:34 Vico Liang New Issue
2019-04-10 11:34 Vico Liang Assigned To => kgv
2019-04-17 15:04 kgv Summary Inline these methods in V3d_View and just return reference instead of temp objects. => Coding - inline trivial methods of V3d_View class
2019-04-17 15:05 git Note Added: 0083826
2019-04-17 15:26 git Note Added: 0083827
2019-04-17 15:50 git Note Added: 0083828
2019-04-17 17:15 kgv Note Added: 0083830
2019-04-17 17:15 kgv Note Added: 0083831
2019-04-17 17:15 kgv Assigned To kgv => bugmaster
2019-04-17 17:15 kgv Severity minor => tweak
2019-04-17 17:15 kgv Status new => resolved
2019-04-17 17:15 kgv Status resolved => reviewed
2019-04-17 19:09 bugmaster Test case number => Not required
2019-04-17 19:17 bugmaster Status reviewed => tested
2019-04-21 10:55 bugmaster Changeset attached => occt master 1ec17fb4
2019-04-21 10:55 bugmaster Status tested => verified
2019-04-21 10:55 bugmaster Resolution open => fixed
2019-04-21 11:06 git Note Added: 0083901
2019-04-23 07:02 kgv Note Edited: 0083830 View Revisions


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker